/* 角色管理通用接口 */
import request from '@/utils/request'

export function getRolePage(data) { // 获取角色列表
  return request({
    url: '/sys/role/page',
    method: 'get',
    params: data
  })
}

export function getUserRole(data) { // 获取当前用户角色列表
  return request({
    url: '/sys/role/userRole',
    method: 'get',
    params: data
  })
}

export function roleCompanyList() { // 获取当前用户角色列表
  return request({
    url: '/sys/role/company/list',
    method: 'get'
  })
}